YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Interface ILegendItemSeries

Package | com.yahoo.astra.fl.charts.series
Interface | public interface ILegendItemSeries extends ISeries, flash.events.IEventDispatcher
Implementors | CartesianSeries

A series type that can create data for a legend.

See also

com.yahoo.astra.fl.charts.legend.ILegend
com.yahoo.astra.fl.charts.legend.LegendItemData

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : Object The chart in which this series appears. | ISeries
|  | dataProvider : Object The data provider for this series. | ISeries
|  | displayName : String The name of the series as it appears to the user. | ISeries
|  | length : int The number of items in the series. | ISeries

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | clone():ISeries Creates a copy of the ISeries object. | ISeries
|  | createLegendItemData():LegendItemData Creates a LegendItemData object to pass to the chart's legend. | ILegendItemSeries
|  | itemRendererToIndex(renderer:ISeriesItemRenderer):int | ISeries
|  | itemToItemRenderer(item:Object):ISeriesItemRenderer | ISeries

Events
Hide Inherited Events
Show Inherited Events

| Event | Summary | Defined by
--- | --- | --- | ---
|  | dataChange | Dispatched when the data property for an ISeries changes. | ISeries

Method detail

createLegendItemData | () | method

`public function createLegendItemData():LegendItemData`

Creates a LegendItemData object to pass to the chart's legend.

Returns

| `LegendItemData`